Summary: 	Panel for Xfce
Name: 		xfce-panel
Version: 	4.2.1.1
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	xfce4-panel-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	mandrake_desk
BuildRequires:	xfce-mcs-manager-devel >= 4.2.1
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires: 	libxml2-devel >= 2.4.0

%description
Xfce-panel is the panel for the Xfce desktop environment.

%package devel
Summary:	Header files for development with Xfce-panel
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	xfce-mcs-manager-devel >= 4.2.1
Requires:	libxml2-devel >= 2.4.0
Requires:	startup-notification-devel >= 0.5

%description devel
Header files for development with Xfce-panel.

%prep
%setup -q -n xfce4-panel-%{version}

# use www-browser
perl -pi -e 's#mozilla#www-browser#' menu.*
perl -pi -e 's#Mozilla##' content*


%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang xfce4-panel

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xfce4-panel.lang
%defattr(-,root,root)
%doc README TODO ChangeLog COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4/*
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/panel-plugins
%{_datadir}/xfce4/doc/
%{_datadir}/applications/*
%{_datadir}/icons/*

%files devel
%defattr(-,root,root)
%doc HACKING NOTES
%{_includedir}/xfce4/
%{_libdir}/pkgconfig/


%changelog
* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1.1-1mdk
- 4.2.1.1 bug fix release
- adjust BR & R

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- really use www-browser for all locales

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- use www-browser, require mandrake_desk

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update filelist

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Tue Nov 18 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- fix requires

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- fix (build)requires
- sysconfdir = /etc/X11

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

